curl --request PATCH \
--url https://demo.enneo.ai/api/mind/quality/assessment/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aiSummary": "Updated AI summary after listening to the call.",
"supervisorAssessment": "Focus on clearer closing.",
"assessmentDate": "2024-06-12T11:00:00Z",
"discussionDate": "2024-06-13T09:00:00Z",
"criteria": [
{
"categoryId": 1,
"criterionId": 2,
"score": 5,
"reason": "Great intro"
},
{
"categoryId": 2,
"criterionId": 6,
"reason": "Added more context for the closing paragraph."
}
],
"state": "reviewedBySupervisor"
}
'{
"id": 901,
"scorecardId": 42,
"scorecardBaseId": 17,
"state": "reviewedBySupervisor",
"assessedUser": 23,
"assessedByUser": 12,
"ticketId": 8821,
"worklogId": 551,
"createdAt": "2024-06-12T10:20:00Z",
"modifiedAt": "2024-06-12T11:05:00Z",
"canEdit": true,
"data": {
"aiSummary": "Updated AI summary after listening to the call.",
"categories": [
{
"categoryId": 1,
"criteria": [
{
"id": 2,
"score": 5,
"reason": "Great intro",
"state": "humanVerified",
"lastEditedByUserId": 12,
"lastEditedAt": "2024-06-12T10:55:00Z"
}
]
},
{
"categoryId": 2,
"criteria": [
{
"id": 6,
"score": 3,
"reason": "Added more context for the closing paragraph.",
"state": "humanVerified",
"lastEditedByUserId": 12,
"lastEditedAt": "2024-06-12T11:00:00Z"
}
]
}
],
"totals": {
"scoredPoints": 20,
"usedMaxPoints": 22,
"totalMaxPoints": 25,
"percentage": 80
},
"supervisorAssessment": "Focus on clearer closing.",
"assessmentDate": "2024-06-12T11:00:00Z",
"discussionDate": "2024-06-13T09:00:00Z"
},
"worklog": {
"userId": 23,
"worklogId": 551,
"lastInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "reply",
"actionList": [
"reply",
"internal-note"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": []
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": []
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -30,
"closingDateForSLA": "2024-06-12T09:40:00Z",
"dueDateForSLA": "2024-06-12T10:00:00Z",
"reOpened": false,
"csat": null
}
}Update an assessment including scores, reasons, supervisor notes, and dates. User must have permission to edit this assessment (qualityDoAssessmentsTeam or qualityDoAssessmentsAll).
Automatically transitions state from aiReady to reviewOngoing when edits are made.
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/quality/assessment/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aiSummary": "Updated AI summary after listening to the call.",
"supervisorAssessment": "Focus on clearer closing.",
"assessmentDate": "2024-06-12T11:00:00Z",
"discussionDate": "2024-06-13T09:00:00Z",
"criteria": [
{
"categoryId": 1,
"criterionId": 2,
"score": 5,
"reason": "Great intro"
},
{
"categoryId": 2,
"criterionId": 6,
"reason": "Added more context for the closing paragraph."
}
],
"state": "reviewedBySupervisor"
}
'{
"id": 901,
"scorecardId": 42,
"scorecardBaseId": 17,
"state": "reviewedBySupervisor",
"assessedUser": 23,
"assessedByUser": 12,
"ticketId": 8821,
"worklogId": 551,
"createdAt": "2024-06-12T10:20:00Z",
"modifiedAt": "2024-06-12T11:05:00Z",
"canEdit": true,
"data": {
"aiSummary": "Updated AI summary after listening to the call.",
"categories": [
{
"categoryId": 1,
"criteria": [
{
"id": 2,
"score": 5,
"reason": "Great intro",
"state": "humanVerified",
"lastEditedByUserId": 12,
"lastEditedAt": "2024-06-12T10:55:00Z"
}
]
},
{
"categoryId": 2,
"criteria": [
{
"id": 6,
"score": 3,
"reason": "Added more context for the closing paragraph.",
"state": "humanVerified",
"lastEditedByUserId": 12,
"lastEditedAt": "2024-06-12T11:00:00Z"
}
]
}
],
"totals": {
"scoredPoints": 20,
"usedMaxPoints": 22,
"totalMaxPoints": 25,
"percentage": 80
},
"supervisorAssessment": "Focus on clearer closing.",
"assessmentDate": "2024-06-12T11:00:00Z",
"discussionDate": "2024-06-13T09:00:00Z"
},
"worklog": {
"userId": 23,
"worklogId": 551,
"lastInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "reply",
"actionList": [
"reply",
"internal-note"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": []
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": []
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -30,
"closingDateForSLA": "2024-06-12T09:40:00Z",
"dueDateForSLA": "2024-06-12T10:00:00Z",
"reOpened": false,
"csat": null
}
}JWT-based authentication
Assessment ID
AI-generated summary (editable by supervisors)
Supervisor's free-form assessment text
Date when assessment was completed
Date when assessment was discussed with assessee
Array of criterion updates
Show child attributes
[
{
"categoryId": 1,
"criterionId": 2,
"score": 5,
"reason": "Great intro"
}
]Transition to a new state
reviewedBySupervisor, discussedWithAssessee Assessment updated successfully
Quality assessment of agent performance on a specific work session
Assessment ID
1
ID of the scorecard used
1
Base ID of the scorecard used
1
Assessment workflow state
unprocessed, aiInProgress, aiReady, reviewOngoing, reviewedBySupervisor, discussedWithAssessee, error, deleted "aiReady"
ID of the assessed user (agent)
42
ID of the supervisor who assessed
Related ticket ID
12345
Related worklog ID
AI-generated summary (summary format)
"Good job overall, scored 85%"
Score totals
Show child attributes
Full assessment data (full format only)
Show child attributes
Whether current user can edit this assessment